(function() {
	var actualHtml,
      data = { user: { firstName:"Michael", lastName:"Sparks" } },
      htmlTemplate = '<h3>Hello {{#user}}{{firstName}} {{lastName}}{{/user}}!</h3>',
      expectedHtml = '<h3>Hello Michael Sparks!</h3>';

  module('app.Mustache');
  test('app.Mustache - Mustache should exist', function () {
    ok(app.Mustache, 'Mustache method exists!');
  });
  
  test('app.Mustache.to_html(htmlTemplate, data) - to_html should merge data with html template resulting in a string of html', function () {
    actualHtml = app.Mustache.to_html(htmlTemplate, data);
    strictEqual(actualHtml, expectedHtml, 'template and data merged successfully!');
  });
  
}());