(function() {
  module('app.xhr');
  test('app.xhr - xhr should exist', function () {
    ok(app.xhr, 'xhr object exists!');
  });
  
  test('app.xhr.version - version should be 0.1.0', function () {
    strictEqual(app.xhr.version, '0.1.0', 'xhr version is correct!');
  });
  
  module('app.xhr.ajax(url)');
  test('ajax(url) method should do a synchronous GET', function () {
    app.xhr.settings = {
      type: 'GET',
      async: false
    }
    strictEqual(app.xhr.ajax('ajax-get-test.txt'), 'Hooray ajax GET!', 'synchronous GET was successful');
  });
  
  
}());